diff --git a/d2x-rebirth/main/movie.cpp b/d2x-rebirth/main/movie.cpp
index 928c0f8d0..6e92e0db5 100644
--- a/d2x-rebirth/main/movie.cpp
+++ b/d2x-rebirth/main/movie.cpp
@@ -677,6 +677,7 @@ static void draw_subtitles(int frame_num)
 static int init_movie(const char *movielib, char resolution, int required, loaded_movie_t &movie)
 {
 	snprintf(&movie.filename[0], movie.filename.size(), "%s-%c.mvl", movielib, resolution);
+#if 0
 	auto r = PHYSFSX_contfile_init(&movie.filename[0], 0);
 	if (!r)
 	{
@@ -685,6 +686,11 @@ static int init_movie(const char *movielib, char resolution, int required, loade
 		movie.filename[0] = 0;
 	}
 	return r;
+#else
+	(void)required;
+	movie.filename[0] = 0;
+	return 0;
+#endif
 }
 
 static void init_movie(const char *movielib, int required, loaded_movie_t &movie)
diff --git a/similar/main/titles.cpp b/similar/main/titles.cpp
index eb09e9a1d..d6359db30 100644
--- a/similar/main/titles.cpp
+++ b/similar/main/titles.cpp
@@ -374,7 +374,11 @@ struct briefing_screen {
 
 static grs_subcanvas_ptr create_spinning_robot_sub_canvas(grs_canvas &canvas)
 {
+#if defined(DXX_BUILD_DESCENT_I)
 	return gr_create_sub_canvas(canvas, rescale_x(canvas.cv_bitmap, 138), rescale_y(canvas.cv_bitmap, 55), rescale_x(canvas.cv_bitmap, 166), rescale_y(canvas.cv_bitmap, 138));
+#else
+	return gr_create_sub_canvas(canvas, rescale_x(canvas.cv_bitmap, 137), rescale_y(canvas.cv_bitmap, 54), rescale_x(canvas.cv_bitmap, 165), rescale_y(canvas.cv_bitmap, 137));
+#endif
 }
 
 static void get_message_name(const char *&message, array<char, 32> &result, const char *const trailer)
@@ -768,7 +772,20 @@ static int briefing_process_char(grs_canvas &canvas, briefing *const br)
 					;
 #endif
 			} else {
-#if defined(DXX_BUILD_DESCENT_II)
+				static int robotmap[26] = {
+					24,
+					25,
+					-1,
+					26, 27, 28, 29, 30, 51, 33, 36, 49, 37, 38, 50, 39, 61, 40,
+					43, 42, 44,
+					-1,
+					47, 48,
+					41,
+					-1
+				};
+				init_spinning_robot(canvas, *br);
+				br->robot_num = robotmap[*br->message++ - 'A'];
+#if 0 && defined(DXX_BUILD_DESCENT_II)
 				char spinRobotName[]="rba.mve",kludge;  // matt don't change this!
 
 				kludge=*br->message++;
@@ -1558,11 +1575,13 @@ void do_briefing_screens(const d_fname &filename, int level_num)
 		return;
 	}
 
+#if 0
 #if defined(DXX_BUILD_DESCENT_II)
 	if (!(EMULATING_D1 || is_SHAREWARE || is_MAC_SHARE || is_D2_OEM || !PLAYING_BUILTIN_MISSION))
 		songs_stop_all();
 	else
 #endif
+#endif
 	{
 		if ((songs_is_playing() != SONG_BRIEFING) && (songs_is_playing() != SONG_ENDGAME))
 			songs_play_song( SONG_BRIEFING, 1 );
